Name:           fossil
Version:        2.25
Release:        %mkrel 1
Summary:        Simple, high-reliability, distributed, software configuration management
License:        BSD 2-clause
Group:          Development/Tools
URL:            https://www.fossil-scm.org/
Source:         https://www.fossil-scm.org/home/tarball/version-%{version}/fossil-src-%{version}.tar.gz
BuildRequires:  pkgconfig(fuse)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(sqlite3) >= 3.25.2
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(readline)
BuildRequires:  tcl

%description
Fossil is a simple, high-reliability, and distributed, software configuration
management system, with distributed bug tracking, a distributed wiki
capability, and a built-in web interface.

%prep
%autosetup -n %{name}-src-%version

%build
CFLAGS="%{optflags}" ./configure --prefix=%{_prefix} --with-openssl=auto --disable-internal-sqlite
%make_build

%install
%make_install

install -D -m 0644 -t %{buildroot}%{_mandir}/man1 fossil.1

%files
%doc README.md
%license COPYRIGHT-BSD2.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Dec 03 2024 daviddavid <daviddavid> 2.25-1.mga10
+ Revision: 2120737
- new version: 2.25

* Sun Aug 25 2024 mrambo3501 <mrambo3501> 2.24-1.mga10
+ Revision: 2091023
- version 2.24

* Sun Jan 21 2024 daviddavid <daviddavid> 2.23-1.mga10
+ Revision: 2033362
- new version: 2.23

* Sun Sep 17 2023 daviddavid <daviddavid> 2.22-1.mga10
+ Revision: 1987426
- new version: 2.22
- package manpage

* Sun Feb 12 2023 mrambo3501 <mrambo3501> 2.20-1.mga9
+ Revision: 1941045
- version 2.20

* Fri Nov 11 2022 kekepower <kekepower> 2.19-1.mga9
+ Revision: 1905499
- Update to version 2.19
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Jan 17 2022 mrambo3501 <mrambo3501> 2.17-1.mga9
+ Revision: 1768873
- version 2.17

* Sat Oct 02 2021 wally <wally> 2.14.2-2.mga9
+ Revision: 1747561
- rebuild for openssl 3.0.0

* Mon Jul 19 2021 neoclust <neoclust> 2.14.2-1.mga9
+ Revision: 1736886
- New version 2.14.2: Fixes security issues (mga#29266)

* Tue Mar 02 2021 daviddavid <daviddavid> 2.14-1.mga9
+ Revision: 1695987
- new version: 2.14

* Fri Aug 21 2020 shlomif <shlomif> 2.12.1-1.mga8
+ Revision: 1617441
- New version 2.12.1

* Tue Aug 18 2020 shlomif <shlomif> 2.12-1.mga8
+ Revision: 1614794
- New version 2.12

* Mon Feb 17 2020 umeabot <umeabot> 2.10-2.mga8
+ Revision: 1537240
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 daviddavid <daviddavid> 2.10-1.mga8
+ Revision: 1456170
- new version: 2.10

* Mon Jul 29 2019 shlomif <shlomif> 2.9-1.mga8
+ Revision: 1424854
- New version 2.9

* Mon Apr 15 2019 daviddavid <daviddavid> 2.8-1.mga7
+ Revision: 1390569
- new version: 2.8

* Sun Oct 14 2018 shlomif <shlomif> 2.7-1.mga7
+ Revision: 1320315
- New version 2.7

* Sun Sep 23 2018 umeabot <umeabot> 2.6-2.mga7
+ Revision: 1297747
- Mageia 7 Mass Rebuild

* Thu Jun 28 2018 shlomif <shlomif> 2.6-1.mga7
+ Revision: 1240629
- New version 2.6

* Wed Mar 07 2018 shlomif <shlomif> 2.5-1.mga7
+ Revision: 1207144
- New version 2.5

* Fri Dec 08 2017 shlomif <shlomif> 2.4-1.mga7
+ Revision: 1181696
- New version 2.4

* Fri Aug 18 2017 neoclust <neoclust> 2.3-1.mga7
+ Revision: 1141420
- New version 2.3 - Fixes Potential XSS vulnerability on the /help webpage (mga#21551)

* Sat Jan 14 2017 shlomif <shlomif> 1.36-1.mga6
+ Revision: 1081658
- New version 1.36 + .spec cleanups.

* Fri Apr 15 2016 shlomif <shlomif> 1.34-1.mga6
+ Revision: 1002801
- New version 1.34

* Wed Mar 02 2016 umeabot <umeabot> 1.33-3.mga6
+ Revision: 983398
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 1.33-2.mga6
+ Revision: 953961
- Mageia 6 Mass Rebuild

* Tue Jul 28 2015 daviddavid <daviddavid> 1.33-1.mga6
+ Revision: 858591
- new version: 1.33
- switch BuildRequires to pkgconfig()
- add more BuildRequires on fuse and readline

* Wed Oct 15 2014 umeabot <umeabot> 1.28-3.mga5
+ Revision: 747747
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.28-2.mga5
+ Revision: 679306
- Mageia 5 Mass Rebuild

* Sat May 17 2014 sander85 <sander85> 1.28-1.mga5
+ Revision: 623195
- New version: 1.28

* Sat Oct 19 2013 umeabot <umeabot> 1.26-4.mga4
+ Revision: 529163
- Mageia 4 Mass Rebuild

* Sat Jul 06 2013 shlomif <shlomif> 1.26-3.mga4
+ Revision: 450741
- Made the description shorter (based on the Fedora description).
  This is per the discussion on the Mageia-dev mailing list.

* Wed Jul 03 2013 shlomif <shlomif> 1.26-2.mga4
+ Revision: 449948
- Use external SQLite - patch contributed by aleksjan

* Tue Jul 02 2013 malo <malo> 1.26-1.mga4
+ Revision: 449542
- update to 1.26 (patch by Aleksandrs Jansons)

* Fri May 24 2013 shlomif <shlomif> 1.25-1.mga4
+ Revision: 426820
- New version 1.25

* Fri Jan 11 2013 umeabot <umeabot> 1.24-3.mga3
+ Revision: 350786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 kamil <kamil> 1.24-2.mga3
+ Revision: 326941
- Disable sqlite3-devel as BR

* Tue Nov 20 2012 kamil <kamil> 1.24-1.mga3
+ Revision: 319723
- remove patch fossil-trunk-installdir - merged upstream
- fix %%setup
- new release 1.24

* Tue Nov 20 2012 kamil <kamil> 1.23-7.mga3
+ Revision: 319709
- fix Release
- adapt for Mageia
- imported package fossil


* Thu Aug 23 2012 Huaren Zhong <huaren.zhong@gmail.com> - 1.23
- Rebuild for Fedora
* Mon Oct 10 2011 max@suse.com
- Adjust spec file to fossil's new build system.
- Add fossil-trunk-installdir.patch to create the target dir before
  installing the binary.
- Use builtin sqlite for distros where the builtin version is too
  old (Red Hat as of Fedora 14, Mandriva as of 2010.1,
  openSUSE 11.3)
* Thu Mar 17 2011 max@novell.com
- Build fossil from an auto-downloaded snapshot.
- Build with ssl support.
* Tue Mar  8 2011 max@novell.com
- updated to 20110301190432
* Tue Sep 28 2010 prusnak@opensuse.org
- updated to 20100918155143
* Wed Sep  8 2010 dmacvicar@novell.com
- initial package based on version 20100823222416
